Bug 509844 - auto-mount default_options not respected
auto-mount default_options not respected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
14
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 10:17 EDT by Jeremy
Modified: 2013-03-05 22:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:47:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shell script for mounting Windows filesystems with fmask=111 and dmask=000. Linux ext3 partition are mounted without special options. (1.53 KB, text/plain)
2009-08-10 06:53 EDT, Alessandro Volpi
no flags Details
umh is used to unmount device mounted with gnome-mount or with mh script (885 bytes, text/plain)
2009-08-10 06:54 EDT, Alessandro Volpi
no flags Details

  None (edit)
Description Jeremy 2009-07-06 10:17:44 EDT
Description of problem:

I need to change the umask mount option for a vfat-partitioned USB key. The key should be mounted with the option: umask=077. Modifying the gconf key:

/system/storage/default_options/vfat/mount_options

and adding the "umask=077" option has no effect.


Steps to Reproduce:
1. Use your favourite method for editing gconf keys (I use gconf-editor.) to add a 'umask=007' attribute to the key listed above.
2. Plug in a USB key with a vfat partition, wait for gnome to auto-mount it
3. Run 'ls -la /media/<keyname>' and see that the partition was *not* mounted with '700' permissions.
  
Actual results:
Partition is not mounted with a umask=700, all files have default permissions of '755'.


Expected results:
Partition to be mounted with umask=700, so files have default permissions of '700'.


Additional info:

See a related thread at:
http://forums.fedoraforum.org/showthread.php?t=223173
Comment 1 Alessandro Volpi 2009-08-10 06:53:03 EDT
Created attachment 356873 [details]
shell script for mounting Windows filesystems with fmask=111 and dmask=000. Linux ext3 partition are mounted without special options.

The script relies on gnome-mount. The devices can be unmounted with the umh shell script
Comment 2 Alessandro Volpi 2009-08-10 06:54:25 EDT
Created attachment 356874 [details]
umh is used to unmount device mounted with gnome-mount or with mh script
Comment 3 Alessandro Volpi 2009-08-10 07:07:11 EDT
I see that I did not succed in posting my comment. I only succeeded in creating two attachments. They are a shell script called mh which can be used to mount a vfat or ntfs file system on external USB or Firewire devices with options fmask=111 and dmask=000 . Another script called umh is used for unmounting said devices. The scripts do not include any additional options when used to mount or unmount linux filesystems.

I use the scripts for mounting vfat devices so that directories are browsable and ordinary files are not given the executable permission.



My original comment, which has not been posted, was the following:

I have also found the same bug. Using gconf-editor I have added the fmask=111 and dmask=000 default mounting options for vfat and ntfs files.

The special options are accepted by gconf-editor but have no effect on the effective mounting options used when an external media filesystem is automounted.

All files and directories are mounted with permissions '755'.
Comment 4 Ilya Ryabinkin 2009-09-20 15:04:11 EDT
I confirm the bug. Removing this functionality seems to be wrong move, so I'm expecting it to be restored.
Comment 5 Ilya Ryabinkin 2009-09-20 15:11:47 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=515378
Comment 6 Bug Zapper 2010-04-27 11:30:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeremy 2010-04-27 11:58:47 EDT
Confirmed against Fedora 12.

My gconf key was preserved though my upgrade from Fedora 11 to Fedora 12. I followed the same steps to reproduce as outlined above. This bug is still present.
Comment 8 Bug Zapper 2010-11-04 06:51:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jeremy 2010-11-04 08:52:47 EDT
Confirmed against Fedora 13.

My gconf key was preserved though my upgrade from Fedora 12 to Fedora 13. I
followed the same steps to reproduce as outlined above. This bug is still
present.
Comment 10 Bug Zapper 2011-06-02 13:57:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jeremy 2011-06-02 14:22:28 EDT
Confirmed in Fedora 14.
Comment 12 Fedora End Of Life 2012-08-16 13:47:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.